Enable Synchronization

This function is used to enable synchronization of a customer entity to a particular NetSuite account ID.


Response
{
    "firstName": "test",
    "middleName": null,
    "lastName": "test",
    "companyName": "company",
    "suffix": null,
    "primaryEmail": "[email protected]",
    "primaryPhone": null,
    "secondaryEmail": "[email protected]",
    "secondaryPhone": null,
    "title": "",
    "reference": null,
    "status": "Active",
    "customerAccountStatus": "Good",
    "currency": "USD",
    "canChangeCurrency": false,
    "customerReference": {
        "reference1": null,
        "reference2": null,
        "reference3": null,
        "salesTrackingCodes": [],
        "id": 93132,
        "uri": "/93132"
    },
    "customerAcquisition": {
        "adContent": null,
        "campaign": null,
        "keyword": null,
        "landingPage": null,
        "medium": null,
        "source": null,
        "id": 93132,
        "uri": "/93132"
    },
    "monthlyRecurringRevenue": 60.0000,
    "netMonthlyRecurringRevenue": 60.0000,
    "salesforceId": null,
    "salesforceAccountType": null,
    "salesforceSynchStatus": null,
    "netsuiteId": "1744203",
    "netsuiteSynchStatus": "Enabled",
    "netsuiteCustomerType": "Individual",
    "portalUserName": null,
    "parentId": null,
    "isParent": false,
    "quickBooksLatchType": null,
    "quickBooksId": null,
    "quickBooksSyncToken": null,
    "hubSpotId": null,
    "hubSpotCompanyId": null,
    "geotabId": null,
    "digitalRiverId": null,
    "modifiedTimestamp": "2023-04-13T17:41:39.7648223Z",
    "createdTimestamp": "2023-03-22T19:21:24.857",
    "requiresProjectedInvoiceGeneration": false,
    "requiresFinancialCalendarGeneration": false,
    "id": 93132,
    "uri": "/93132"
}
{
    "ErrorId": 0,
    "HttpStatusCode": 400,
    "Errors": [
        {
            "Key": "Api Error",
            "Value": "NetSuite Account 1 does not exist."
        }
    ]
}
Path Params
integer
required

This ID value uniquely identifies this customer record.

Response
200
Language
Credentials
Header
LoadingLoading…